## START: Set by rpmautospec
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global srcname markdown-include
%global modname %(echo '%{srcname}' | tr - _)
%global forgeurl https://github.com/cmacmackin/%{srcname}

Name:           python-%{srcname}
Version:        0.6.0
%forgemeta
Release:        %autorelease
Summary:        Syntax for Python-Markdown to include other Markdown documents

License:        GPLv3
URL:            %{forgeurl}
# We use the GitHub tarball because the PyPI archive is missing LICENSE.txt.
Source0:        %{forgesource}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%global common_description %{expand:
This is an extension to Python-Markdown which provides an “include” function,
similar to that found in LaTeX (and also the C pre-processor and Fortran). It
was originally written for the FORD Fortran auto-documentation generator.}

%description %{common_description}


%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{common_description}


%prep
%autosetup -n %{srcname}-%{version}
# Remove shebang line in non-script source
sed -r -i '1{/^#!/d}' %{modname}/include.py


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{modname}


%check
# There are no tests.
%py3_check_import %{modname} %{modname}.include


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.txt
%doc README.*


%changelog
* Tue Jul 27 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.6.0-6
- Move %generate_buildrequires after %prep to make the spec file easier to
  follow

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jul 08 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.0-3
- Add import “smoke tests” since there are no upstream tests

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.6.0-2
- Rebuilt for Python 3.10

* Mon May 17 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.6.0-1
- Initial package

